Bug 13291 - Backport tevent 0.9.36 with tevent_queue_entry_untrigger()
Backport tevent 0.9.36 with tevent_queue_entry_untrigger()
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.8.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13292
  Show dependency treegraph
 
Reported: 2018-02-21 13:58 UTC by Stefan Metzmacher
Modified: 2018-04-25 06:49 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (12.42 KB, patch)
2018-02-27 10:37 UTC, Ralph Böhme
metze: review+
Details
Patches for v4-7-test (29.78 KB, patch)
2018-04-17 06:24 UTC, Stefan Metzmacher
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-02-21 13:58:57 UTC
tevent 0.9.36 will bring an important function: tevent_queue_entry_untrigger().

This will be used to fix unfair queue management in winbindd.
Comment 1 Ralph Böhme 2018-02-27 10:37:55 UTC
Created attachment 13996 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-27 15:37:34 UTC
Pushed to autobuild-v4-8-test.
Comment 3 Karolin Seeger 2018-02-28 11:54:31 UTC
(In reply to Stefan Metzmacher from comment #2)
Pushed to v4-8-test.
Closing out bug report.

Thanks!
Comment 4 Stefan Metzmacher 2018-04-17 06:21:05 UTC
This is also needed for 4.7
Comment 5 Stefan Metzmacher 2018-04-17 06:24:36 UTC
Created attachment 14150 [details]
Patches for v4-7-test
Comment 6 Karolin Seeger 2018-04-19 09:35:32 UTC
(In reply to Stefan Metzmacher from comment #5)
Pushed to autobuild-v4-7-test.
Comment 7 Karolin Seeger 2018-04-25 06:49:53 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-7-test.
Closing out bug report.

Thanks!